%define apxs            %{_sbindir}/apxs
%define aprconf         %{_bindir}/apr-1-config
%define aplibdir        %(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define apconfdir       %(%{apxs} -q SYSCONFDIR 2>/dev/null)
%define aprincludes     %(%{aprconf} --includes 2>/dev/null)
%define aplogdir        logs
%define tc5dir          %{_datadir}/tomcat5
%define section         free
%define build_free      1

Name:           mod_jk
Version:        1.2.19
Release:        %mkrel 3
Epoch:          0
Summary:        Tomcat mod_jk connector for Apache
#Vendor:        JPackage Project
#Distribution:  JPackage
License:        Apache License
Group:          Development/Java
URL:            http://tomcat.apache.org/
Source0:        http://www.apache.org/dist/tomcat/tomcat-connectors/jk/source/jk-1.2.19/tomcat-connectors-1.2.19-src.tar.gz
Source1:        mod_jk.conf.sample
Source2:        mod_jk-workers.properties.sample
Patch0:         mod_jk-no-jvm1.patch
BuildRequires:  ant
BuildRequires:  ant-trax
BuildRequires:  apache-devel
BuildRequires:  java-devel
BuildRequires:  jpackage-utils >= 0:1.5.38
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  xalan-j2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Tomcat mod_jk connector for Apache.

%if %with apache1
%package        ap13
Summary:        Tomcat mod_jk connector for Apache 1.3.x
Group:          Development/Java
Obsoletes:      mod_jk
Provides:       mod_jk = %{epoch}:%{version}-%{release}
Obsoletes:      tomcat-mod

%description    ap13
Tomcat mod_jk connector for Apache 1.3.x.
%endif

%package        ap20
Summary:        Tomcat mod_jk connector for Apache 2.0.x
Group:          Development/Java
Obsoletes:      mod_jk
Provides:       mod_jk = %{epoch}:%{version}-%{release}
Obsoletes:      tomcat-mod

%description    ap20
Tomcat mod_jk connector for Apache 2.0.x.

%package        manual
Summary:        Tomcat mod_jk connector manual
Group:          Development/Java

%description    manual
Tomcat mod_jk connector manual.

%package        tools
Group:          Development/Java
Summary:        Analysis and report tools for mod_jk

%description    tools
Miscellaneous mod_jk analysis and report tools.

%prep
%setup -q -n tomcat-connectors-%{version}-src
%if %{build_free}
%patch0 -p1
%endif
(cd native && %{__libtoolize} --copy --force)

%{__perl} -pi -e 's|/usr/local/bin\b|%{_bindir}|' tools/reports/*.pl
%{__cp} -a %{SOURCE1} mod_jk.conf.sample
%{__cp} -a %{SOURCE2} workers.properties.sample
%{__perl} -pi -e \
  's|\@confdir\@|%{apconfdir}| ;
   s|\@logdir\@|%{aplogdir}| ;
   s|\@tomcatdir\@|%{tc5dir}| ;
   s|\@java_home\@|%{java_home}|' \
  mod_jk.conf.sample workers.properties.sample
%{__mkdir_p} _ap20
%{__grep} -v ^AddModule mod_jk.conf.sample > _ap20/mod_jk.conf.sample
%{__perl} -pi -e 's|^(APXSCPPFLAGS=.*)$|$1 %{aprincludes}|' \
  native/common/Makefile.in

%build
cd native

%{configure2_5x} \
  --with-apxs=%{apxs} \
  --with-java-home=%{java_home} \
  --with-java-platform=2 \
  --enable-jni \
%if %with apache1
  --enable-EAPI
%else
  --disable-EAPI
%endif

# See <http://marc.theaimsgroup.com/?l=tomcat-dev&m=105600821630990>
%if %without apache1
export LIBTOOL=`%{apxs} -q LIBTOOL 2>/dev/null`
# Handle old apxs (without -q LIBTOOL), eg Red Hat 8.0 and 9.
if test -z "$LIBTOOL"; then
  LIBTOOL=%{__libtool}
fi
%{make} \
  LIBTOOL="$LIBTOOL" \
  EXTRA_CFLAGS="%{optflags}" \
  EXTRA_CPPFLAGS="%{aprincludes}"
%else
%{make} EXTRA_CFLAGS="$RPM_OPT_FLAGS"
%endif
cd ..

cd xdocs ; CLASSPATH=$(%{_bindir}/build-classpath xalan-j2-serializer) %{ant} ; cd ..

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{aplibdir}
%{__install} -pm 0755 \
  native/jni/jk_jnicb.so %{buildroot}%{aplibdir}/jk_jnicb.so
%if %without apache1
%{__install} -pm 0755 \
  native/apache-2.0/mod_jk.so %{buildroot}%{aplibdir}/mod_jk.so
%else
%{__install} -pm 0755 \
  native/apache-1.3/mod_jk.so.0.0.0 %{buildroot}%{aplibdir}/mod_jk.so
%endif
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -pm 0755 tools/reports/*.pl %{buildroot}%{_bindir}

%clean
%{__rm} -rf %{buildroot}

%if %with apache1
%files ap13
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE mod_jk.conf.sample workers.properties.sample
%doc native/README native/CHANGES native/NEWS native/TODO
%defattr(-,root,root,-)
%{aplibdir}/*
%else
%files ap20
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE _ap20/mod_jk.conf.sample workers.properties.sample
%doc native/README native/CHANGES native/NEWS native/TODO
%defattr(-,root,root,-)
%{aplibdir}/*
%endif

%files manual
%defattr(0644,root,root,0755)
%doc build/docs/*

%files tools
%defattr(0644,root,root,0755)
%doc tools/reports/README.txt
%attr(0755,root,root) %{_bindir}/*


%changelog
* Tue Dec 19 2006 David Walluck <walluck@mandriva.org> 1.2.19-3mdv2007.0
+ Revision: 99186
- conditionalize apache1 package
- Obsoletes: mod_jk

* Sun Dec 17 2006 David Walluck <walluck@mandriva.org> 0:1.2.19-1mdv2007.1
+ Revision: 98240
- 1.2.19

* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 0:1.2.6-3.4.2mdv2007.1
+ Revision: 76387
- rebuild
- Import mod_jk




* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:1.2.6-3.4.1mdk
- change apxs to apache-devel to stop the emails that I am getting

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:1.2.6-3.1mdk
- release

* Wed May  4 2005 Joe Orton <jorton@redhat.com> 0:1.2.6-3jpp_4fc
- add dependency on httpd-mmn
- package NOTICE in docdir per ASL2.0 requirements

* Tue May  3 2005 Bill Nottingham <notting@redhat.com> - 0:1.2.6-3jpp_3fc
- temporarily disable -tools subpackage (#156757)

* Thu Apr 28 2005 Gary Benson <gbenson@redhat.com> - 0:1.2.6-3jpp_2fc
- Actually build more than just an empty debuginfo package (#151415).

* Mon Apr  4 2005 Gary Benson <gbenson@redhat.com> - 0:1.2.6-3jpp_1fc
- Build into Fedora.

* Wed Dec 08 2004 Fernando nasser <fnasser@redhat.com> - 0:1.2.6-3jpp_1rh
- First Red Hat release
- Build by default for Apache 2.0.x
- Add --tag to remaining LIBTOOL invocations

* Mon Oct 4 2004 Nicolas Mailhot <nim@jpackage.org> - 0:1.2.6-3jpp
- do not apply RHES 2.1 libtool workaround to apache2 builds

* Mon Oct 4 2004 Nicolas Mailhot <nim@jpackage.org> - 0:1.2.6-2jpp
- Add RHES 2.1 libtool workaround

* Wed Sep 29 2004 Nicolas Mailhot <nim@jpackage.org> - 0:1.2.6-1jpp
- Update to 1.2.6 as per Henri's suggestion:
  "JK2 is not production ready"
- Change default target from Tomcat 4 to Tomcat 5. Tomcat 5.5 is out and 
  Tomcat 5 is now the official stable version
- initial built on RHES 3, RHES 2.1 and RH 7.3

* Sat Nov 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.5-2jpp
- Use apr-config if available for apache2 to allow building on FC1.
- Include README and CHANGES.txt in docs.

* Mon Oct 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.5-1jpp
- Update to 1.2.5 final.

* Thu Jul 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.5-0.1jpp
- Update to unofficial 1.2.5.

* Fri Jun 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.4-1jpp
- Use the libtool that comes with Apache 2 for building with it.
- Provide a fallback "--define 'libtool /path/to/your/libtool'".
- Thanks to Henri Gomez for the above fixes.

* Thu Jun 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.4-0.2jpp
- Add --with apache2 rpmbuild option.
- Add manual subpackage.

* Wed Jun 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.4-0.1jpp
- Made apxs customizable with
  "rpmbuild --rebuild --define 'apxs /path/to/your/apxs'".

* Wed Jun 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.4-0jpp
- Update to 1.2.4, massive spec cleanup (only mod_jk for Apache 1.3 now).

* Tue Dec 17 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.2-1jpp
- jtc 1.2.2
- add Obsoletes tomcat-mod

* Tue Nov 26 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.1-1jpp
- jtc 1.2.1
- add package mod_jk-tools (require gd 1.8.x and perl modules GD 1.4.1, 
  GD Graph, GD TextUtil  and StatisticsDescriptive)

* Tue Oct 08 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.1-1jpp
- jtc snapshot from JK 2.0.1 beta release
- apr / apr-util / apr-devel packages required for JK2 build and Apache 1.3,
  you could find them at : http://ftp.falsehope.com/home/gomez/apr/
- apache2 / apache2-devel packages required Apache 2 build,
  you could find them at : http://ftp.falsehope.com/home/gomez/apache2/

* Fri Oct 04 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.2.0-2jpp
- jtc 1.2.0 built against Apache 2.0.43

* Wed Oct 02 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0.0-1jpp
- jtc snapshot from JK 2.0.0 beta release
- apr / apr-util / apr-devel packages required for JK2 build and Apache 1.3,
  you could find them at : http://ftp.falsehope.com/home/gomez/apr/
- apache2 / apache2-devel packages required Apache 2 build,
  you could find them at : http://ftp.falsehope.com/home/gomez/apache2/

* Wed Sep 25 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0.jk1.2.0-1jpp
- jtc snapshot from JK 1.2.0 release

* Fri Aug 22 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0.4.1.9-1jpp
- jtc snapshot from tomcat 4.1.9 beta
- webapp not build since it requires autoconf > 2.5 not available in rpm distribs 

* Thu Feb 14 2002 Henri Gomez <hgomez@users.sourceforge.net>
- Initial tomcat-connectors release
- use the jakarta-tomcat-connectors-4.0.2-01-src 
  (which correct some auth problems with ajp13)
